

typedef struct {
	int32	sd_id_fire;
	int32	sds_index_mask;
	int32	sds_index_qa;

	int32	sds_index_T13;
	int32	sds_index_T15;
	int32	sds_index_T16;

	int32	sds_index_R7;
	int32	sds_index_R11;

	int32	sds_index_LandMedianT13, sds_index_LandMedianDT;
	int32	sds_index_LandZonePix;
	int32	sds_index_WaterMedianT13, sds_index_WaterMedianDT;
	int32	sds_index_WaterZonePix;

	int32	sds_index_lat, sds_index_lon;

	int32	sd_id_coarse;
	int32	sds_index_coarse_mask;
	int32	sds_index_coarse_lat;
	int32	sds_index_coarse_lon;
	} HDF_OutputInfo;



int InitOutputHDF(int32, int, int write_geo, HDF_OutputInfo *);

int WriteScan(HDF_OutputInfo *hinfo, int iscan, OutScan *, Scan *,
	ScanThreshPF *pfthresh);
int write_fire_attributes(int32 sd_id, FireCounts *);
int write_generic_attributes(int32 sd_id, char *, char *, enum Satellite sat,
	char *gringLatLonStr[2]);


